/*
 *		      DIST_UM.C  MS Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include <math.h>
#include "external.h"

#define MAX_CDE 25

extern char code[MAX_SEQ][MAX_CDE];
extern float fscore[MAX_SEQ][MAX_SEQ];

void dist_um(ns)
{
register int i,j;

float tscore;		/* temp score */

/*
 *	create distances from norm align score
 */

for(i=0;i<ns;i++)
	{
	for(j=i;j<ns;j++)
		{
		if(i==j)fscore[i][j]=0.0;
		else	{
			tscore= fscore[i][j]/100.0;
			fscore[i][j]= -100.0 * log(tscore);
			fscore[j][i]=fscore[i][j];
			}
		}
	}

printf("\n\nDistances based on NAS scores [-100.0 * ln(NAS/100.0)]:\n\n");
printf("              ");
for(i=0;i<ns;i++)
	{
	if(i>0 && i%10==0)printf("\n              ");
	printf(" [%3d]",i+1);
	}
printf("\n");
for(i=0;i<ns;i++)
	{
	printf("\n[%3d] %-8.8s",i+1,code[i]);
	for(j=0;j<ns;j++)
		{
		if(j>0 && j%10==0)printf("\n              ");
		printf("%6.1f",fscore[i][j]);
		}
	}
printf("\n");

return;
}
