#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include "external.h"

extern float gap_pen;


int generation(int lchrom,double sqr_cutoff,int list1[MAX_SEQ], int nlist1,
	       int list2[MAX_SEQ], int nlist2)
/* 
	Needs select,crossover and mutation
*/
{
	int j,mate1,mate2,jcross;
	j=0;


	while(j<(popsize-1)){

		   mate1=select(popsize,&sumfitness,oldpop);
		   mate2=select(popsize,&sumfitness,oldpop);

		   crossover(oldpop[mate1].chrom,oldpop[mate2].chrom,
			     newpop[j].chrom,newpop[j+1].chrom,
			     lchrom,&ncross,&nmutation,&jcross,pcross,pmutation);

			newpop[j].fitness=objfunc(newpop[j].chrom,ca,list1,nlist1,
						  list2,nlist2,sqr_cutoff);


			newpop[j].parent1=mate1;
			newpop[j].parent2=mate2;
			newpop[j].xsite=jcross;

			newpop[j+1].fitness=objfunc(newpop[j+1].chrom,ca,list1,nlist1,
						    list2,nlist2,sqr_cutoff);


			newpop[j+1].parent1=mate1;
			newpop[j+1].parent2=mate2;
			newpop[j+1].xsite=jcross;

			j+=2;

	}

	return 0;
}
