/*
 *		      PIDS_UM.C  MS Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include "external.h"

extern char seq[MAX_SEQ][MAX_LEN];
extern int ren[MAX_SEQ];
extern int temp[2][MAX_LEN];

float pids_um(i,j,t_len)

int i,j;
int t_len;
{
register int k;
int id;
int small;
float fids;

/*
 *	count the identities
 */

id=0;
for(k=1;k<=t_len;k++)
	{
	if(temp[0][k]== -99 && temp[1][k]== -99);
	else if(temp[0][k]== -99 || seq[i][temp[0][k]]== '-');
	else if(temp[1][k]== -99 || seq[j][temp[1][k]]== '-');
	else if(seq[i][temp[0][k]]!=seq[j][temp[1][k]]);
	else id++;
	}

small=ren[i];
if(small>ren[j])small=ren[j];

if(small!=0)fids = 100.0 * (float)id / (float)small;

return(fids);
}
