/*
 *		      NORM_UM.C  MS Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include <stdio.h>
#include "external.h"

extern char seq[MAX_SEQ][MAX_LEN];
extern int temp[2][MAX_LEN];

extern int mats[11][20][20];
extern int ind[26];

float norm_um(j,k,t_len,score,mat,type)

int j, k;
int t_len;
int score;
int mat;
int type;

{
register int i;
int maxj, maxk;
float fscore;

/*
 *	normalize the score
 */

maxj=0;
maxk=0;

if(type==0)
	{
	for(i=1;i<=t_len;i++)
		{
		if(seq[j][i]=='-');
		else maxj+= mats[mat][ind[seq[j][i]-'A']][ind[seq[j][i]-'A']];
		}
	for(i=1;i<=t_len;i++)
		{
		if(seq[k][i]=='-');
		else maxk+= mats[mat][ind[seq[k][i]-'A']][ind[seq[k][i]-'A']];
		}
	}

else	{
	for(i=1;i<=t_len;i++)
		{
		if(seq[j][temp[0][i]]=='-' || temp[0][i]== -99);
	else maxj+=
	mats[mat][ind[seq[j][temp[0][i]]-'A']][ind[seq[j][temp[0][i]]-'A']];
		}
	for(i=1;i<=t_len;i++)
		{
		if(seq[k][temp[1][i]]=='-' || temp[1][i]== -99);
	else maxk+=
	mats[mat][ind[seq[k][temp[1][i]]-'A']][ind[seq[k][temp[1][i]]-'A']];
		}
	}

fscore= 100.0 * (float)score/(((float)(maxj+maxk))/2.0);

return(fscore);
}
