/*
 *		      PDIF_UM.C  MS Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include "external.h"

extern char seq[MAX_SEQ][MAX_LEN];
extern int nel_p[MAX_SEQ][MAX_SEQ];

float pdif_um(i,j,t_len)

int i,j;
int t_len;
{
register int k;
int di;
int id;
int nel;
float fdif;

/*
 *	count the differences
 */

di=0;
id=0;
nel=0;
for(k=1;k<=t_len;k++)
	{
	if(seq[i][k]== '-' && seq[j][k]== '-');
	else if(seq[i][k]!=seq[j][k])
		{
		di++;
		nel++;
		}
	else	{
		id++;
		nel++;
		}
	}

/*fdif =  100 * (float)di / (float)nel;*/
fdif =  (float)di;
nel_p[i][j]=nel;
nel_p[j][i]=nel;
return(fdif);
}
