#include <stdio.h>
#include <stdlib.h>
#include "external.h"


int statistics(int popsize,double *max,double *avg,double *min,
	       double *sumfitness,struct individual pop[MAXPOP],
	       int lchrom)
/*
	Calculate population statistics
*/
{
	int i,j;

	/* Initialise */

	*sumfitness=pop[0].fitness;
	*min       =pop[0].fitness;
	*max       =pop[0].fitness;

	for(j=1;j<popsize;j++){
	   
	    *sumfitness+=pop[j].fitness;

	    if(pop[j].fitness>*max)
	      *max=pop[j].fitness;

	    if(pop[j].fitness<*min)
	      *min=pop[j].fitness;


	    if(pop[j].fitness>bestfit.fitness){

	       for(i=0;i<lchrom;i++)
	          bestfit.chrom[i]=pop[j].chrom[i];
		     

	       bestfit.fitness=pop[j].fitness;
	       bestfit.generation=gen;
	    }


	}

	*avg=(*sumfitness/(double)popsize);

	return 0;
}
